# Interface IBasicEvents3

All Superinterfaces:
  `IBasicEvents, IBasicEvents2`

All Known Implementing Classes:
  `_AdvancedRadiansRobot, _AdvancedRobot, AdvancedRobot, RateControlRobot, Robot, TeamRobot`

public interface IBasicEvents3 extends IBasicEvents2
Second extended version of the `IBasicEvents` interface.

Since:
  1.7.2
Author:
  Flemming N. Larsen (original)

## Method Summary

Modifier and Type
Method
Description
`void`
`onRoundEnded(RoundEndedEvent event)`
This method is called after the end of a round.

### Methods inherited from interface IBasicEvents

`onBulletHit, onBulletHitBullet, onBulletMissed, onDeath, onHitByBullet, onHitRobot, onHitWall, onRobotDeath, onScannedRobot, onStatus, onWin`

### Methods inherited from interface IBasicEvents2

`onBattleEnded`

## Method Details

### onRoundEnded

void onRoundEnded(RoundEndedEvent event)
This method is called after the end of a round. You should override it in your robot if you want to be informed of this event.

Example:

      public void onRoundEnded(RoundEndedEvent event) {
          out.println("The round has ended");
      }

Parameters:
  `event` - the RoundEndedEvent event set by the game
Since:
  1.7.2
See Also:
  - `RoundEndedEvent`
  - `IBasicEvents2.onBattleEnded(BattleEndedEvent)`
  - `WinEvent`
  - `DeathEvent`
  - `Event`